RESTinio

Public Member Functions | Public Attributes | List of all members
restinio::impl::acceptor_details::ip_blocker_holder_t< Ip_Blocker > Struct Template Reference

A class for holding actual IP-blocker. More...

`#include <acceptor.hpp>`

Inheritance diagram for restinio::impl::acceptor_details::ip_blocker_holder_t< Ip_Blocker >:

## Public Member Functions
template<typename Settings >
| ip_blocker_holder_t (const Settings &settings)
template<typename Socket >
restinio::ip_blocker::inspection_result_t | inspect_incoming (Socket &socket) const noexcept

## Public Attributes
std::shared_ptr< Ip_Blocker > | m_ip_blocker

## Detailed Description

template<typename Ip_Blocker>
struct restinio::impl::acceptor_details::ip_blocker_holder_t< Ip_Blocker >

A class for holding actual IP-blocker.

This class holds shared pointer to actual IP-blocker object and provides actual inspect_incoming() implementation.

Since
  v.0.5.1

Definition at line 111 of file acceptor.hpp.

## Constructor & Destructor Documentation

## ◆ ip_blocker_holder_t()

template<typename Ip_Blocker >
template<typename Settings >

restinio::impl::acceptor_details::ip_blocker_holder_t< Ip_Blocker >::ip_blocker_holder_t | ( | const Settings & | settings | ) |
| inline

Definition at line 116 of file acceptor.hpp.

## Member Function Documentation

## ◆ inspect_incoming()

template<typename Ip_Blocker >
template<typename Socket >

restinio::ip_blocker::inspection_result_t restinio::impl::acceptor_details::ip_blocker_holder_t< Ip_Blocker >::inspect_incoming | ( | Socket & | socket | ) | const
| inline noexcept

Definition at line 123 of file acceptor.hpp.

## Member Data Documentation

## ◆ m_ip_blocker

template<typename Ip_Blocker >

std::shared_ptr< Ip_Blocker > restinio::impl::acceptor_details::ip_blocker_holder_t< Ip_Blocker >::m_ip_blocker

Definition at line 113 of file acceptor.hpp.

The documentation for this struct was generated from the following file:

- restinio/impl/acceptor.hpp